diff --git a/build.yaml b/build.yaml
index cac54fd..5f73d19 100644
--- a/build.yaml
+++ b/build.yaml
@@ -14,6 +14,6 @@
 ---
 include:
   - board: nice_nano_v2
-    shield: a_dux_left
+    shield: rae_dux_left
   - board: nice_nano_v2
-    shield: a_dux_right
+    shield: rae_dux_right
diff --git a/config/a_dux.keymap b/config/a_dux.keymap
deleted file mode 100644
index eda03ff..0000000
--- a/config/a_dux.keymap
+++ /dev/null
@@ -1,26 +0,0 @@
-/*
- * Copyright (c) 2021 The ZMK Contributors
- *
- * SPDX-License-Identifier: MIT
- */
-
-#include <behaviors.dtsi>
-#include <dt-bindings/zmk/keys.h>
-
-/ {
-
-	keymap {
-		compatible = "zmk,keymap";
-
-		// This is a sample keymap intended to be replaced with your own
-		base_layer {
-			bindings = <
-				&kp Q     &kp W     &kp E     &kp R     &kp T     &kp Y     &kp U     &kp I     &kp O     &kp P
-				&kp A     &kp S     &kp D     &kp F     &kp G     &kp H     &kp J     &kp K     &kp L     &kp SEMI
-				&kp Z     &kp X     &kp C     &kp V     &kp B     &kp N     &kp M     &kp COMMA &kp DOT   &kp SLASH
-				                              &kp TAB   &kp BSPC  &kp SPACE &kp ENTER
-			>;
-		};
-
-	};
-};
diff --git a/config/a_dux.conf b/config/rae_dux.conf
similarity index 100%
rename from config/a_dux.conf
rename to config/rae_dux.conf
diff --git a/config/rae_dux.keymap b/config/rae_dux.keymap
new file mode 100644
index 0000000..0b07fb7
--- /dev/null
+++ b/config/rae_dux.keymap
@@ -0,0 +1,123 @@
+/*
+ * Copyright (c) 2021 The ZMK Contributors
+ *
+ * SPDX-License-Identifier: MIT
+ */
+
+#include <behaviors.dtsi>
+#include <dt-bindings/zmk/bt.h>
+#include <dt-bindings/zmk/keys.h>
+
+&sk {
+    release-after-ms = <750>;
+};
+
+#define RSTHD 0
+#define NUM   1
+#define SYM   2
+#define NAV   3
+#define FUN   4
+
+#define MY_PSCRN LS(LC(PSCRN))
+#define MY_COPY LC(INSERT)
+#define MY_PASTE LS(INSERT)
+#define VI_U LC(Z)
+#define VI_W LC(RIGHT)
+#define VI_B LC(LEFT)
+
+/ {
+    behaviors {
+        lhm: left_hand_positional_hold_tap {
+            compatible = "zmk,behavior-hold-tap";
+            label = "LEFT_POSITIONAL_HOLD_TAP";
+            #binding-cells = <2>;
+            flavor = "tap-preferred";
+            tapping-term-ms = <150>;
+            quick-tap-ms = <200>;
+            bindings = <&kp>, <&kp>;
+            hold-trigger-key-positions = <18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35>;
+        };
+
+        rhm: right_hand_positional_hold_tap {
+            compatible = "zmk,behavior-hold-tap";
+            label = "RIGHT_POSITIONAL_HOLD_TAP";
+            #binding-cells = <2>;
+            flavor = "tap-preferred";
+            tapping-term-ms = <150>;
+            quick-tap-ms = <200>;
+            bindings = <&kp>, <&kp>;
+            hold-trigger-key-positions = <0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17>;
+        };
+
+        base_lt: layer_hold_tap {
+            compatible = "zmk,behavior-hold-tap";
+            label = "LAYER_HOLD_TAP";
+            #binding-cells = <2>;
+            flavor = "tap-preferred";
+            tapping-term-ms = <200>;
+            quick-tap-ms = <200>;
+            bindings = <&mo>, <&kp>;
+        };
+
+        hold_lt: layer_hold_tap {
+            compatible = "zmk,behavior-hold-tap";
+            label = "LAYER_HOLD_TAP";
+            #binding-cells = <2>;
+            flavor = "hold-preferred";
+            tapping-term-ms = <200>;
+            quick-tap-ms = <200>;
+            bindings = <&mo>, <&kp>;
+        };
+    };
+
+	keymap {
+		compatible = "zmk,keymap";
+
+		// This is a sample keymap intended to be replaced with your own
+		// base_layer {
+		// 	bindings = <
+		// 		&kp Q     &kp W     &kp E     &kp R     &kp T     &kp Y     &kp U     &kp I     &kp O     &kp P
+		// 		&kp A     &kp S     &kp D     &kp F     &kp G     &kp H     &kp J     &kp K     &kp L     &kp SEMI
+		// 		&kp Z     &kp X     &kp C     &kp V     &kp B     &kp N     &kp M     &kp COMMA &kp DOT   &kp SLASH
+		// 		                    &kp ESC   &kp TAB   &kp BSPC  &kp SPACE &kp ENTER &kp ESC
+		// 	>;
+		// };
+
+        // RSTHD
+		rsthd_layer {
+			bindings = <
+                   &kp Z        &kp C         &kp Y         &kp F            &kp P              &kp X             &kp M          &kp APOS      &kp U         &kp Q
+                   &lhm LALT R  &lhm LSHFT S  &lhm LCTRL T  &lhm LGUI H      &kp D              &kp L             &rhm LGUI N    &rhm LCTRL A  &rhm LSHFT I  &rhm LALT O
+                   &sk LSHIFT   &kp V         &kp G         &kp K            &kp B              &kp W             &kp J          &kp COMMA     &kp DOT       &sk LSHIFT
+				 /*&            &*/           &kp ESC       &base_lt NAV SPC &hold_lt SYM ENTER &hold_lt SYM BSPC &base_lt NUM E &kp TAB    /* &             &*/
+			>;
+		};
+
+		num_layer {
+			bindings = <
+                   &trans       &kp LT        &kp MINUS     &kp GT           &trans             &trans            &trans         &kp EQUAL     &trans        &trans
+                   &lhm LALT N3 &lhm LSHFT N2 &lhm LCTRL N1 &lhm LGUI N0     &kp N4             &kp N5            &rhm LGUI N6   &rhm LCTRL N7 &rhm LSHFT N8 &rhm LALT N9
+                   &kp FSLH     &kp PLUS      &kp CARET     &kp STAR         &trans             &trans            &trans         &kp COMMA     &kp DOT       &trans
+				 /*&            &*/           &trans        &trans           &trans             &trans            &trans         &trans    /*  &             &*/
+			>;
+		};
+
+		sym_layer {
+			bindings = <
+                   &trans       &kp EXCL      &kp AT        &kp DLLR         &trans             &trans            &kp TILDE      &kp EQUAL     &kp BSLH      &trans
+                   &kp HASH     &kp LT        &kp MINUS     &kp GT           &kp GRAVE          &kp AMPS          &kp LBRC       &kp LPAR      &kp RPAR      &kp PIPE
+                   &kp FSLH     &kp PLUS      &kp CARET     &kp STAR         &kp UNDER          &kp PRCNT         &kp RBRC       &kp LBKT      &kp RBKT      &trans
+				 /*&            &*/           &trans        &trans           &trans             &trans            &trans         &trans    /*  &             &*/
+			>;
+		};
+
+		nav_layer {
+			bindings = <
+                   &trans       &kp PSCRN     &kp MY_COPY   &kp MY_PSCRN     &kp MY_PASTE       &trans            &kp C_BRI_DEC  &kp C_BRI_INC &kp VI_U      &trans
+                   &kp END      &kp C_NEXT    &kp C_PP      &kp C_VOL_UP     &kp GRAVE          &kp LEFT          &kp DOWN       &kp UP        &kp RIGHT     &kp HOME
+                   &trans       &kp C_PREV    &kp C_MUTE    &kp C_VOL_DN     &kp UNDER          &kp VI_B          &kp PG_DN      &kp PG_UP     &kp VI_W      &trans
+				 /*&            &*/           &trans        &trans           &trans             &bt BT_CLR        &bt BT_NXT     &trans    /*  &             &*/
+			>;
+		};
+	};
+};
diff --git a/config/west.yml b/config/west.yml
index 379d291..0f94807 100644
--- a/config/west.yml
+++ b/config/west.yml
@@ -1,7 +1,7 @@
 manifest:
   remotes:
     - name: zmkfirmware
-      url-base: https://github.com/zmkfirmware
+      url-base: https://github.com/andrewjrae
   projects:
     - name: zmk
       remote: zmkfirmware
